(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 544);
/******/ })
/************************************************************************/
/******/ ({

/***/ 20:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = AnueLink;
/**
 * Get the corresponding url.
 * @param {*} env prod | stage | beta | int
 */
function AnueLink(env) {
  var isProd = env === 'prod';
  var isApiProd = env !== 'int' && env !== 'beta';
  var cnyesBaseUrl = isProd ? 'cnyes.com' : env + '.cnyes.cool';
  var cookieDomain = isProd ? '.cnyes.com' : '.cnyes.cool';
  var apiBaseUrl = isApiProd ? 'cnyes.com' : env + '.cnyes.cool';

  var wwwChannelLink = 'https://www.' + cnyesBaseUrl;
  var newsChannelLink = 'https://news.' + cnyesBaseUrl;
  var cryptoChannelLink = 'https://crypto.' + cnyesBaseUrl;
  var fundChannelLink = 'https://fund.' + cnyesBaseUrl;
  var stockTalk = 'https://stock.' + cnyesBaseUrl;
  var globalStockTalk = 'https://global-stock.' + cnyesBaseUrl;
  var invest = 'https://invest.' + cnyesBaseUrl;
  var desktopFundsSearch = fundChannelLink + '/search';
  var mobileFundsSearch = invest + '/funds/search';

  var forexChannelLink = wwwChannelLink + '/forex/reuters';
  var forexCrossListLink = wwwChannelLink + '/forex/crosslist';
  var cryptoChannelBTCLink = cryptoChannelLink + '/BTC/24h';
  var wdStockNewsLink = newsChannelLink + '/news/cat/wd_stock';
  var forexNewsLink = newsChannelLink + '/news/cat/forex';
  var cryptoNewsLink = newsChannelLink + '/news/cat/bc_virtual';
  var bcNewsLink = newsChannelLink + '/news/cat/bc';
  var fundNewsLink = newsChannelLink + '/news/cat/fund';
  var twStockNewsLink = newsChannelLink + '/news/cat/tw_stock';
  var usStockNewsLink = newsChannelLink + '/news/cat/us_stock';
  var cnStockNewsLink = newsChannelLink + '/news/cat/cn_stock';
  var topTopicsNewsLink = newsChannelLink + '/news/cat/topTopics';
  var magNewsLink = newsChannelLink + '/news/cat/mag';
  var projectNewsLink = newsChannelLink + '/projects/cat/all';

  var driverFundDetailLink = invest + '/funds/detail';
  var driverPageLink = invest + '/drivers';
  var driverSearchLink = invest + '/drivers/search';
  var forexDetailPageLink = invest + '/forex/detail';
  var newsTagLink = newsChannelLink + '/tag';
  var newsDetailLink = newsChannelLink + '/news/id';
  var hotTagsApiUrl = 'https://api.' + apiBaseUrl + '/api/v1/news/recommend/tags';
  var hotDriversApiUrl = 'https://driver.api.' + apiBaseUrl + '/driver/api/v1/drivers?order=1y&sort=desc&page=1&size=3';
  var hotTradesApiUrl = 'https://ws.api.' + apiBaseUrl + '/ws/api/v1/ga/pageViewHot';
  // limit the categories for first version
  var anueSearchAllCategory = 'TW,FUND,US,CC,INDEX,FUTURE,ETF,FX,EOD';
  var anueSearchAllApiUrl = 'https://ess.api.' + apiBaseUrl + '/ess/api/v1/siteSearch/main?category=' + anueSearchAllCategory + '&q=';

  // .net link only have prod env
  var archiveStockQLink = 'https://money.cnyes.com/archive/StockQ.aspx';
  var wdStockChannelLink = 'https://www.cnyes.com/global/IndexImmediateQuotedPrice/';
  var archiveUSStock = 'https://www.cnyes.com/archive/usastock/';
  var archiveTWStock = 'https://www.cnyes.com/archive/twstock';
  var archiveTWGStock = 'https://www.cnyes.com/archive/presh';
  var newsAppDownloadLink = 'https://www.cnyes.com/mobile/index_app.htm';
  var feedbackLink = 'https://docs.google.com/forms/d/1QvhPSjjG-vrxPUvpzGd2uYmFiIs1cMu1luFAwSonm6U/viewform';
  var feedbackEntryUrlId = '1831304503';

  var toUrlParams = function toUrlParams(params) {
    return Object.keys(params).filter(function (key) {
      return !!params[key];
    }).map(function (key) {
      return encodeURIComponent(key) + '=' + encodeURIComponent(params[key]);
    }).join('&');
  };

  /**
   * https://cnyesrd.atlassian.net/wiki/spaces/PS/pages/637993057
   * symbol = [market]:[xxx]:[mType]
   * objectType: 主要用來區分是否為基金商品 *exception: /ga/pageViewHot 回覆在 market 欄位而非 objectType
   * type: 無法從 symbol 區分出來的細分類, 如 ETF
   */

  return {
    generateStockLinkBySymbol: function generateStockLinkBySymbol(symbol, type) {
      var symbolSplit = String(symbol).split(':');

      if (!symbolSplit || symbolSplit.length < 2) {
        return '';
      }

      // GF：symbol：FUTURES, TWF：symbol：FUTURES
      if ((symbolSplit[0] === 'TWF' || symbolSplit[0] === 'GF') && symbolSplit[2] === 'FUTURES') {
        return invest + '/futures/' + symbolSplit[0] + '/' + symbolSplit[1];
      }

      // GI：symbol：INDEX, TWS：symbol：INDEX
      if ((symbolSplit[0] === 'TWS' || symbolSplit[0] === 'GI') && symbolSplit[2] === 'INDEX') {
        return invest + '/index/' + symbolSplit[0] + '/' + symbolSplit[1];
      }

      if ((symbolSplit[0] === 'TWS' || symbolSplit[0] === 'TWG') && symbolSplit[2] === 'STOCK') {
        return invest + '/twstock/' + symbolSplit[0] + '/' + symbolSplit[1];
      }

      if ((symbolSplit[0] === 'CNS' || symbolSplit[0] === 'HKS') && symbolSplit[2] === 'STOCK') {
        return globalStockTalk + '/market/' + symbol;
      }

      // USS：symbol：STOCK，type：ETF
      if (symbolSplit[0] === 'USS' && symbolSplit[2] === 'STOCK') {
        if (type && type === 'ETF') {
          return invest + '/ETF/US/detail/' + symbolSplit[1];
        }

        return invest + '/usstock/detail/' + symbolSplit[1];
      }

      if (symbolSplit[0] === 'FX') {
        return forexDetailPageLink + '/' + symbolSplit[1] + '/overview';
      }

      if (symbolSplit[0] === 'EOD') {
        return invest + '/eod/detail/' + symbolSplit[1];
      }

      if (symbolSplit[0] === 'CC' && symbolSplit[1]) {
        var crypto = symbolSplit[1];

        return cryptoChannelLink + '/' + crypto;
      }

      return '';
    },
    generateFundLink: function generateFundLink(displayName, cnyesId) {
      var fundName = ('' + displayName).replace(/<(?:.|\n)*?>/gm, '');

      return driverFundDetailLink + '/' + fundName + '/' + cnyesId;
    },
    generateFundSaleLink: function generateFundSaleLink(_ref) {
      var forSale = _ref.forSale,
          displayNameLocal = _ref.displayNameLocal,
          cnyesId = _ref.cnyesId,
          source = _ref.source,
          medium = _ref.medium,
          campaign = _ref.campaign;

      var paramList = [];
      var params = {
        utm_source: source,
        utm_medium: medium,
        utm_campaign: campaign
      };

      Object.keys(params).forEach(function (p) {
        if (params[p]) {
          paramList.push(p + '=' + params[p]);
        }
      });

      if (forSale === 1) {
        var url = invest + '/funds/order/' + displayNameLocal + '/' + cnyesId;

        if (paramList.length > 0) {
          url += '?' + paramList.join('&');
        }

        return url;
      }

      return '';
    },
    generateETFLink: function generateETFLink(symbol) {
      var symbolSplit = String(symbol).split(':');

      if (!symbolSplit || symbolSplit.length < 2) {
        return '';
      }

      if (symbolSplit[0] === 'TWS' && symbolSplit[2] === 'STOCK') {
        return stockTalk + '/market/TWS:' + symbolSplit[1] + ':' + symbolSplit[2];
      }

      if (symbolSplit[0] === 'USS' && symbolSplit[2] === 'STOCK') {
        return invest + '/etf/us/detail/' + symbolSplit[1];
      }

      return '';
    },
    generateSearchResultLink: function generateSearchResultLink(_ref2) {
      var keyword = _ref2.keyword,
          backLink = _ref2.backLink;

      var params = {
        keyword: keyword,
        aink: backLink
      };

      return wwwChannelLink + '/search/all?' + toUrlParams(params);
    },
    generateForexLink: function generateForexLink(symbol) {
      var symbolSplit = String(symbol).split(':');

      if (!symbolSplit || symbolSplit.length < 2) {
        return '';
      }

      if (symbolSplit[0] === 'FX') {
        return forexDetailPageLink + '/' + symbolSplit[1] + '/overview';
      }

      return '';
    },
    generateFeedbackLink: function generateFeedbackLink() {
      var url = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

      var entryUrl = url;

      if (!url && typeof window !== 'undefined') {
        entryUrl = window.location.href;
      }

      return feedbackLink + '?usp=pp_url&entry.' + feedbackEntryUrlId + '=' + encodeURIComponent(entryUrl);
    },
    cnyesBaseUrl: cnyesBaseUrl,
    cookieDomain: cookieDomain,
    wwwChannelLink: wwwChannelLink,
    newsChannelLink: newsChannelLink,
    cryptoChannelLink: cryptoChannelLink,
    fundChannelLink: fundChannelLink,
    stockTalk: stockTalk,
    globalStockTalk: globalStockTalk,
    invest: invest,
    forexChannelLink: forexChannelLink,
    forexCrossListLink: forexCrossListLink,
    cryptoChannelBTCLink: cryptoChannelBTCLink,
    wdStockNewsLink: wdStockNewsLink,
    forexNewsLink: forexNewsLink,
    cryptoNewsLink: cryptoNewsLink,
    bcNewsLink: bcNewsLink,
    fundNewsLink: fundNewsLink,
    twStockNewsLink: twStockNewsLink,
    usStockNewsLink: usStockNewsLink,
    cnStockNewsLink: cnStockNewsLink,
    wdStockChannelLink: wdStockChannelLink,
    topTopicsNewsLink: topTopicsNewsLink,
    magNewsLink: magNewsLink,
    projectNewsLink: projectNewsLink,
    archiveStockQLink: archiveStockQLink,
    archiveUSStock: archiveUSStock,
    archiveTWStock: archiveTWStock,
    archiveTWGStock: archiveTWGStock,
    driverFundDetailLink: driverFundDetailLink,
    driverPageLink: driverPageLink,
    driverSearchLink: driverSearchLink,
    newsTagLink: newsTagLink,
    newsDetailLink: newsDetailLink,
    hotTagsApiUrl: hotTagsApiUrl,
    hotDriversApiUrl: hotDriversApiUrl,
    anueSearchAllApiUrl: anueSearchAllApiUrl,
    hotTradesApiUrl: hotTradesApiUrl,
    toUrlParams: toUrlParams,
    desktopFundsSearch: desktopFundsSearch,
    mobileFundsSearch: mobileFundsSearch,
    anueSearchAllCategory: anueSearchAllCategory,
    newsAppDownloadLink: newsAppDownloadLink,
    feedbackLink: feedbackLink
  };
}

/***/ }),

/***/ 544:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(20);


/***/ })

/******/ });
});