import React, { Component } from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames/bind';
import { BRANDS_WALL_AD_UNIT_SUFFIXES } from './BrandWallSlide';
import styles from './Dots.scss';

const cx = classnames.bind(styles);

class Dots extends Component {
  static propTypes = {
    currentIndex: PropTypes.number.isRequired,
  };

  renderDot = (_, index) => {
    const { currentIndex } = this.props;
    const isActive = currentIndex === index;

    return <span key={`dot-${index}`} className={cx('dot', { isActive })} />;
  };

  render() {
    return (
      <div className={cx('dot-wrapper')}>
        {BRANDS_WALL_AD_UNIT_SUFFIXES.length > 0 && BRANDS_WALL_AD_UNIT_SUFFIXES.map(this.renderDot)}
      </div>
    );
  }
}

export default Dots;
